#include "DrawingContext.h"

#include "INativeDrawingContext.h"

std::unique_ptr<DrawingContext> DrawingContext::Create()
{
    return std::make_unique<DrawingContext>();
}

void DrawingContext::SetNativeContext(std::unique_ptr<INativeDrawingContext> context)
{
    mNativeDrawingContext = std::move(context);
}

INativeDrawingContext* DrawingContext::GetNativeContext()
{
    return mNativeDrawingContext.get();
}
